<script setup lang="ts">

import StockItemCard from './StockItemCard.vue';
import type { Stock } from '@/types/Stock';
const propsStock= defineProps<{
    sItems:Stock[]
}>()
const emit = defineEmits<{
    selectedSItem:[Stock] // selectedProduct(Product p)
}>()
function selected(s:Stock){
    console.log('StockItemList: ' + s);
    emit('selectedSItem',s)
}
</script>
<template>
<div style="max-height: 548px; overflow: auto;">
    <v-container>
        <v-row>
            <v-col cols="12" md="12" sm="12" v-for="item of sItems" :key="item.id">
                <StockItemCard :sItem="item" @selectedSitem="selected"></StockItemCard>
            </v-col>
        </v-row>
    </v-container>
    
    </div>
</template>